javax.lang.model.type

## Interface ReferenceType

All Superinterfaces:
  TypeMirror

All Known Subinterfaces:
  ArrayType, DeclaredType, ErrorType, NullType, TypeVariable

    public interface ReferenceType
    extends TypeMirror

Represents a reference type. These include class and interface types, array types, type variables, and the null type.

Since:
  1.6

### Method Summary

### Methods inherited from interface javax.lang.model.type.TypeMirror

`accept, equals, getKind, hashCode, toString`

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.